Bug 191516 - Review Request: perl-Pod-Readme
Review Request: perl-Pod-Readme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 191509
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-12 12:51 EDT by Steven Pritchard
Modified: 2014-10-09 15:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Pod-Readme-0.110-11.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 18:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-05-12 12:51:02 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Pod-Readme/perl-Pod-Readme.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Pod-Readme-0.081-1.src.rpm
Description:
This module is a subclass of Pod::PlainText which provides additional POD
markup for generating README files.
Comment 1 Steven Pritchard 2006-05-12 12:52:09 EDT
This is a requirement of the latest Module::Build.
Comment 2 Jason Tibbitts 2006-05-12 15:34:38 EDT
Same problem here with perl(YAML) requirement in the devel repo.  Testing with
FC5 instead.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible. Text is not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   ea05b9a09ad65fbbc1864ef3b2396e64  Pod-Readme-0.081.tar.gz
   ea05b9a09ad65fbbc1864ef3b2396e64  Pod-Readme-0.081.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (FC5, x86_64) with perl-Test-Portability-Files added.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=4, Tests=165,  0 wallclock secs ( 0.22 cusr +  0.08 csys =  0.30 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 3 Steven Pritchard 2006-05-15 18:59:51 EDT
Imported into CVS, branches created, and builds done.
Comment 4 Denis Fateyev 2014-09-16 07:42:27 EDT
Package Change Request
======================
Package Name: perl-Pod-Readme
New Branches: epel7
Owners: dfateyev
Comment 5 Jens Petersen 2014-09-17 02:21:52 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2014-09-17 02:50:23 EDT
Dunno if you wanted CC perl-sig too?
Comment 7 Ralf Corsepius 2014-09-17 03:22:59 EDT
All perl packages are supposed to carry perl-sig.

Due to the often lengthy series of dep-chains perl-modules come along with, this is helpful to notify others about changes, problems, etc.
Comment 8 Fedora Update System 2014-09-19 19:40:37 EDT
perl-Pod-Readme-0.110-11.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Pod-Readme-0.110-11.el7
Comment 9 Fedora Update System 2014-09-19 19:42:07 EDT
perl-Pod-Readme-0.110-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Pod-Readme-0.110-11.el6
Comment 10 Fedora Update System 2014-09-19 20:38:43 EDT
perl-Pod-Readme-0.110-11.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Pod-Readme-0.110-11.el5
Comment 11 Fedora Update System 2014-10-09 15:51:58 EDT
perl-Pod-Readme-0.110-11.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 12 Fedora Update System 2014-10-09 15:54:38 EDT
perl-Pod-Readme-0.110-11.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Fedora Update System 2014-10-09 15:58:45 EDT
perl-Pod-Readme-0.110-11.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.